Subject: Re: linux-next: Signed-off-by missing for commit in the crypto tree

From: Herbert Xu <[email-masked]>
Date: Mon, 5 May 2025 18:22:45 +0800

On Mon, May 05, 2025 at 07:55:27PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Commits
> 
>   e4274cd4f727 ("crypto: hisilicon/qm - replace devm_kzalloc with devm_kcalloc")
>   3f9ea3a5618e ("crypto: hisilicon/qm - remove sizeof(char)")
>   7da3b0ff2af8 ("crypto: sun8i-ce-hash - use pm_runtime_resume_and_get()")
>   2c870574fb94 ("crypto: sun8i-ce - undo runtime PM changes during driver removal")
>   24418b58792a ("hwrng: rockchip - add support for RK3576's RNG")
>   e511999438e1 ("dt-bindings: rng: rockchip,rk3588-rng: add rk3576-rng compatible")
>   13917ce458c7 ("crypto: rng - fix documentation for crypto_rng_alg()")
>   c6527b8ca148 ("crypto: qat - add qat_6xxx driver")
>   bed3233d9e4f ("crypto: qat - add firmware headers for GEN6 devices")
>   4903f74450d1 ("crypto: qat - update firmware api")
>   e9833be85348 ("crypto: qat - export adf_init_admin_pm()")
>   a260a62349b0 ("crypto: qat - expose configuration functions")
>   8e84a854176a ("crypto: qat - export adf_get_service_mask()")
>   ff193f6c14e9 ("crypto: qat - add GEN6 firmware loader")
>   c1e216382091 ("crypto: qat - refactor FW signing algorithm")
>   25177bb3f705 ("crypto: qat - use pr_fmt() in qat uclo.c")
>   5fc9923d1554 ("crypto: qat - refactor compression template logic")
>   424b3c3cfbae ("crypto: qat - rename and relocate timer logic")
>   9b6fc5b6e9c0 ("crypto: qat - include qat_common in top Makefile")
>   f230dcfe428b ("crypto: lib/sha256 - improve function prototypes")
>   e42b6c1e17cc ("crypto: sha256 - remove sha256_base.h")
>   91c5c4bf145d ("crypto: x86/sha256 - implement library instead of shash")
>   42802c7f8eff ("crypto: sparc/sha256 - implement library instead of shash")
>   1a92dd688525 ("crypto: sparc - move opcodes.h into asm directory")
>   d31058b2589f ("crypto: s390/sha256 - implement library instead of shash")
>   fe11c8974fdc ("crypto: riscv/sha256 - implement library instead of shash")
>   9d2b1924c137 ("crypto: powerpc/sha256 - implement library instead of shash")
>   19c9460ea05b ("crypto: mips/sha256 - implement library instead of shash")
>   6df537365d25 ("crypto: arm64/sha256 - implement library instead of shash")
>   4fcab0fbfd54 ("crypto: arm64/sha256 - remove obsolete chunking logic")
>   7f4bd270972c ("crypto: arm/sha256 - implement library instead of shash")
> 
> are missing a Signed-off-by from their committer.

Thanks for the heads up Stephen.  I've just fixed this up and
pushed it out again.

Cheers,
-- 
Email: Herbert Xu <[email-masked]>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt